Bug 356441 - kvm-intel and kvm-amd modules conflict with vmware 64-bit guests
kvm-intel and kvm-amd modules conflict with vmware 64-bit guests
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
: Reopened
Depends On: 354651
  Show dependency treegraph
Reported: 2007-10-29 10:05 EDT by David Mair
Modified: 2009-12-14 16:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 10:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Mair 2007-10-29 10:05:06 EDT
+++ This bug was initially created as a clone of Bug #354651 +++

If the kvm package is installed, the /etc/sysconfig/modules/kvm.modules script
will load the kvm-intel or kvm-amd modules.  If these modules are loaded and one
tries to use VMware Server or Workstation to create a 64-bit guest, the system
will crash (presumably because both are trying to use the hardware
virtualization features).

The solution is easy: remove the kvm package (or the
/etc/sysconfig/modules/kvm.modules script).

If KVM is going to be in RHEL6, this will probably generate tickets, so at the
very least, it should be documented or in the release notes.

Or, maybe kvm.modules could check if VMware is installed and exit if so?
  [ -f /lib/modules/`uname -r`/misc/vmnet.o ] && exit

-- Additional comment from berrange@redhat.com on 2007-10-26 15:06 EST --
If you don't want it to crash don't install both KVM & VMWare at the same time. 

Raise a ticket with VMWare to address the crash. It is perfectly possible for
VMWare's closed source modules to detect that KVM is present & not do things
which crash the host. We cannot help with VMWare crashing the host because we
don't have control over their source code. 

Hacking the module initscripts to workaround closed source modules flaws is not
a maintainable solution.

-- Additional comment from jbastian@redhat.com on 2007-10-26 15:24 EST --
I agree with you that one should not install both KVM & VMware at the same time.
 However, people will install both (maybe accidentally, or maybe to compare and
contrast them), so that's why I said at the very least it should be well
documented to help prevent future tickets.

(I've actually got Xen, KVM, and VMware all on the same box so I can try all
three so I was expecting problems like this, but it took me a while to track
this one down to the /etc/sysconfig/modules/kvm.modules script.)

I understand not wanting to hack the initscripts.  I'll open a ticket with
VMware and see if they can check for KVM and Xen and warn the user before
crashing the box.

-- Additional comment from dmair@redhat.com on 2007-10-29 10:02 EST --
This needs to be documented.

-- Additional comment from dmair@redhat.com on 2007-10-29 10:03 EST --
Actually, I'll clone this for RHEL and request a release note over there.
Comment 1 Daniel Berrange 2007-10-29 10:12:24 EDT
KVM is not in RHEL. Xen is the virtualization platform for RHEL. Therefore there
is nothing to document
Comment 2 Don Domingo 2007-10-29 19:33:55 EDT
as per comment#1, clearing requires_release_note flag

Note You need to log in before you can comment on or make changes to this bug.